#!/bin/sh
#******************************* License GPLv3 ********************************
# Factory_paquets_de_CRIs_gen : Factory to build one paquet-de-CRIs from the website www.les-cris.com, with a timestamp, and and a SHA256 signature of the package.
# Copyright (C) 2022  Antoine Herzog <info -!at-arobase=! les-cris -!dot-point=! com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
#******************************************************************************

#*********** End of process and show the chronometer infos ***********
# Do the end of chrono, and log the end of process infos.
#*********************************************************************

logging_string_to_loggenfile ""
logging_string_to_loggenfile "End of process."

if [ ! "x${THIS_PROCESS_SCRIPT_EXIT_CODE}" = "x0" ]
then
# Log in error log file.
	logging_string_to_loggenfile ""
	logging_string_to_loggenfile "#--------------------ERROR ----------------------"
	logging_string_to_loggenfile "An error occured during the global process for Paquet-de-CRIs. See the Error log file."
	logging_string_to_loggenfile "#--------------------ERROR ----------------------"
	logging_string_to_loggenfile ""
# Log in error log file.	
	logging_string_to_logerrorfile "#--------------------ERROR Paquet-de-CRIs End of process ----------------------"
	logging_string_to_logerrorfile "Paquet-de-CRIs process : An error occured." 
	logging_string_to_logerrorfile "ERROR : the Paquet-de-CRIs process exit code is : ${THIS_PROCESS_SCRIPT_EXIT_CODE}."
	logging_string_to_logerrorfile "See the Paquet-de-CRIs logs files for details."
	logging_string_to_logerrorfile "#--------------------ERROR Paquet-de-CRIs End of process ----------------------"
	logging_string_to_loggenfile ""
else
	
	logging_string_to_loggenfile ""
	logging_string_to_loggenfile "Exit code from build Paquet de CRIs process is : "
	logging_string_to_loggenfile "THIS_PROCESS_SCRIPT_EXIT_CODE = ${THIS_PROCESS_SCRIPT_EXIT_CODE}"
	logging_string_to_loggenfile "The Paquet-de-CRIs process is finished and is OK." 
	logging_string_to_loggenfile ""
	logging_string_to_loggenfile "The Paquet-de-CRIs is in this folder : "
	logging_string_to_loggenfile "${PAQDECRIS_BUILD_DATA_PACKS_FINAL_PRODUCTION_STORAGE_FULLPATH_CURRENT_FOLDER}"
	logging_string_to_loggenfile ""
	
fi

# Chronometer end.
chrono_end

chrono_build_result_afterend_show 

logging_string_to_loggenfile ""
logging_result_afterend_to_loggenfile 

logging_string_to_loggenfile ""
logging_string_to_loggenfile "##########################################################"
logging_string_to_loggenfile "# Finished the build of the Paquet de CRIs.  ${TSTP_DATE_TIME_END_HUMAN_READ} "
logging_string_to_loggenfile "# ${THIS_PAQUET_DE_CRIS_LABEL_TIMESTAMPED_HUMANREADING_USUALFORMAT}"
logging_string_to_loggenfile "# Date and time : ${TSTP_DATE_TIME_END_HUMAN_READ} "
logging_string_to_loggenfile "##########################################################"
logging_string_to_loggenfile ""

